Create or Update an Expenditure Run in API Explorer
Ask AI
This endpoint creates an individual expenditure for a client.
Path parameters
-
The uuid of the client.
-
The uuid of the parent Life Stage.
-
The uuid of the parent Life Stage Field.
POST
/api/v1/client/{client_uuid}/expenditure/{lifeStage_uuid}/{lifeStageField_uuid}
curl \
--request POST 'https://api.plannrcrm.com/api/v1/client/f6aa1670-dcf0-484e-a0c5-08590fe89a84/expenditure/dcf0-484e-a0c5-08590fe89a84-f6aa1670/dcf0-484e-a0c5-08590fe89a84-f6aa1670' \
--header "Authorization: Bearer $ACCESS_TOKEN" \
--header "Content-Type: application/json" \
--header "X-PLANNR-ACCOUNT-UUID: {YOUR_PLANNR_ACCOUNT_UUID}" \
--data '{
"amount": 50000,
"life_stage_section_uuid": "f28b7713-fb49-4d5a-9444-816e348cd679"
}'
Request examples
# Headers
X-PLANNR-ACCOUNT-UUID: {YOUR_PLANNR_ACCOUNT_UUID}
# Payload
{
"amount": 50000,
"life_stage_section_uuid": "f28b7713-fb49-4d5a-9444-816e348cd679"
}
Response examples (200)
[
{
"uuid": "9d187f65-47f3-4cbf-a508-34759a2c2d16",
"created_at": "2026-11-17T20:47:11+00:00",
"updated_at": "2026-11-17T20:47:11+00:00",
"name": "Electricity",
"section": "Housekeeping Expenses",
"amount": {
"amount": {
"example": "4000",
"description": "Money amount at their lowest denominator (for example: pennies)"
},
"formatted": {
"example": "£40.00",
"description": "Money amount formatted with currency"
},
"currency": {
"example": "GBP",
"description": "Currency of the money"
}
},
"position": "1",
"life_stage_uuid": "2224e91d-e1c6-4ead-8985-77a930b56bea",
"life_stage_section_uuid": "53a845e0-2a0c-4e5c-8865-37a67215a6c0",
"life_stage_field_uuid": "d64e07f7-f330-40f8-b8a8-8aa673bccbaa",
"accounts": "[]"
}
]
Response examples (422)
{
"message": "The given data was invalid.",
"errors": {
"field": [
"The field is invalid."
]
}
}